/*
 * LircEmu  -  Remote controller emulation for LIRC
 *
 * Copyright 2002 David Kutalek
 *
 *
 * This file is part of LircEmu.
 * 
 * LircEmu is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * LircEmu is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with LircEmu; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/*
 * DO NOT EDIT THIS FILE - it is generated by Glade.
 */

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <sys/types.h>
#include <sys/stat.h>
#include <unistd.h>
#include <string.h>

#include <gdk/gdkkeysyms.h>
#include <gtk/gtk.h>

#include "callbacks.h"
#include "interface.h"
#include "support.h"

GtkWidget*
create_mainwin (void)
{
  GtkWidget *mainwin;
  GtkWidget *vbox3;
  GtkWidget *menubar2;
  guint tmp_key;
  GtkWidget *menuitem1;
  GtkWidget *menuitem1_menu;
  GtkAccelGroup *menuitem1_menu_accels;
  GtkWidget *menuitem2;
  GtkWidget *menuitem4;
  GtkWidget *menuitem5;
  GtkWidget *menuitem6;
  GtkWidget *menuitem6_menu;
  GtkAccelGroup *menuitem6_menu_accels;
  GtkWidget *menuitem7;
  GtkWidget *menuitem7_menu;
  GtkAccelGroup *menuitem7_menu_accels;
  GtkWidget *miMain;
  GtkWidget *imBack;
  GtkWidget *imPrev;
  GtkWidget *imNext;
  GtkWidget *imSelect;
  GtkWidget *menuitem9;
  GtkWidget *menuitem9_menu;
  GtkAccelGroup *menuitem9_menu_accels;
  GtkWidget *miTv;
  GtkWidget *imVideo;
  GtkWidget *imMusic;
  GtkWidget *menuitem11;
  GtkWidget *menuitem11_menu;
  GtkAccelGroup *menuitem11_menu_accels;
  GtkWidget *mi1;
  GtkWidget *mi2;
  GtkWidget *mi3;
  GtkWidget *mi4;
  GtkWidget *mi5;
  GtkWidget *mi6;
  GtkWidget *mi7;
  GtkWidget *mi8;
  GtkWidget *mi9;
  GtkWidget *mi0;
  GtkWidget *miVisible;
  GtkWidget *miQuit;
  GtkWidget *menuitem15;
  GtkWidget *menuitem15_menu;
  GtkAccelGroup *menuitem15_menu_accels;
  GtkWidget *menuitem16;
  GtkWidget *toolbar2;
  GtkWidget *btnActive;
  GtkWidget *cmbSocket;
  GList *cmbSocket_items = NULL;
  GtkWidget *entry1;
  GtkWidget *frmRemote;
  GtkWidget *fixed1;
  guint btnVisible_key;
  GtkWidget *btnVisible;
  guint btnQuit_key;
  GtkWidget *btnQuit;
  guint btnMain_key;
  GtkWidget *btnMain;
  guint btnBack_key;
  GtkWidget *btnBack;
  guint btnPrev_key;
  GtkWidget *btnPrev;
  guint btnNext_key;
  GtkWidget *btnNext;
  guint BtnSelect_key;
  GtkWidget *BtnSelect;
  guint btnTv_key;
  GtkWidget *btnTv;
  guint btnVideo_key;
  GtkWidget *btnVideo;
  guint btnMusic_key;
  GtkWidget *btnMusic;
  guint btnA_key;
  GtkWidget *btnA;
  guint btnB_key;
  GtkWidget *btnB;
  guint btnC_key;
  GtkWidget *btnC;
  guint btn7_key;
  GtkWidget *btn7;
  guint btn8_key;
  GtkWidget *btn8;
  guint btn9_key;
  GtkWidget *btn9;
  guint btn6_key;
  GtkWidget *btn6;
  guint btn5_key;
  GtkWidget *btn5;
  guint btn4_key;
  GtkWidget *btn4;
  guint btn1_key;
  GtkWidget *btn1;
  guint btn2_key;
  GtkWidget *btn2;
  guint btn3_key;
  GtkWidget *btn3;
  guint btn0_key;
  GtkWidget *btn0;
  GtkWidget *statusbar;
  GtkAccelGroup *accel_group;
  GtkTooltips *tooltips;

  tooltips = gtk_tooltips_new ();

  accel_group = gtk_accel_group_new ();

  mainwin = gtk_window_new (GTK_WINDOW_TOPLEVEL);
  gtk_widget_set_name (mainwin, "mainwin");
  gtk_object_set_data (GTK_OBJECT (mainwin), "mainwin", mainwin);
  gtk_widget_set_usize (mainwin, 215, 470);
  gtk_window_set_title (GTK_WINDOW (mainwin), "GLircEmu");
  gtk_window_set_position (GTK_WINDOW (mainwin), GTK_WIN_POS_MOUSE);
  gtk_window_set_modal (GTK_WINDOW (mainwin), TRUE);
  gtk_window_set_policy (GTK_WINDOW (mainwin), FALSE, FALSE, FALSE);
  gtk_window_set_wmclass (GTK_WINDOW (mainwin), "glircemu", "glircemu");

  vbox3 = gtk_vbox_new (FALSE, 0);
  gtk_widget_set_name (vbox3, "vbox3");
  gtk_widget_ref (vbox3);
  gtk_object_set_data_full (GTK_OBJECT (mainwin), "vbox3", vbox3,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (vbox3);
  gtk_container_add (GTK_CONTAINER (mainwin), vbox3);

  menubar2 = gtk_menu_bar_new ();
  gtk_widget_set_name (menubar2, "menubar2");
  gtk_widget_ref (menubar2);
  gtk_object_set_data_full (GTK_OBJECT (mainwin), "menubar2", menubar2,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (menubar2);
  gtk_box_pack_start (GTK_BOX (vbox3), menubar2, FALSE, FALSE, 0);

  menuitem1 = gtk_menu_item_new_with_label ("");
  tmp_key = gtk_label_parse_uline (GTK_LABEL (GTK_BIN (menuitem1)->child),
                                   "_File");
  gtk_widget_add_accelerator (menuitem1, "activate_item", accel_group,
                              tmp_key, GDK_MOD1_MASK, (GtkAccelFlags) 0);
  gtk_widget_set_name (menuitem1, "menuitem1");
  gtk_widget_ref (menuitem1);
  gtk_object_set_data_full (GTK_OBJECT (mainwin), "menuitem1", menuitem1,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (menuitem1);
  gtk_container_add (GTK_CONTAINER (menubar2), menuitem1);

  menuitem1_menu = gtk_menu_new ();
  gtk_widget_set_name (menuitem1_menu, "menuitem1_menu");
  gtk_widget_ref (menuitem1_menu);
  gtk_object_set_data_full (GTK_OBJECT (mainwin), "menuitem1_menu", menuitem1_menu,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_menu_item_set_submenu (GTK_MENU_ITEM (menuitem1), menuitem1_menu);
  menuitem1_menu_accels = gtk_menu_ensure_uline_accel_group (GTK_MENU (menuitem1_menu));

  menuitem2 = gtk_check_menu_item_new_with_label ("");
  tmp_key = gtk_label_parse_uline (GTK_LABEL (GTK_BIN (menuitem2)->child),
                                   "_Active");
  gtk_widget_add_accelerator (menuitem2, "activate_item", menuitem1_menu_accels,
                              tmp_key, 0, 0);
  gtk_widget_set_name (menuitem2, "menuitem2");
  gtk_widget_ref (menuitem2);
  gtk_object_set_data_full (GTK_OBJECT (mainwin), "menuitem2", menuitem2,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (menuitem2);
  gtk_container_add (GTK_CONTAINER (menuitem1_menu), menuitem2);
  gtk_widget_add_accelerator (menuitem2, "activate", accel_group,
                              GDK_A, GDK_CONTROL_MASK,
                              GTK_ACCEL_VISIBLE);
  gtk_check_menu_item_set_show_toggle (GTK_CHECK_MENU_ITEM (menuitem2), TRUE);

  menuitem4 = gtk_menu_item_new ();
  gtk_widget_set_name (menuitem4, "menuitem4");
  gtk_widget_ref (menuitem4);
  gtk_object_set_data_full (GTK_OBJECT (mainwin), "menuitem4", menuitem4,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (menuitem4);
  gtk_container_add (GTK_CONTAINER (menuitem1_menu), menuitem4);
  gtk_widget_set_sensitive (menuitem4, FALSE);

  menuitem5 = gtk_menu_item_new_with_label ("");
  tmp_key = gtk_label_parse_uline (GTK_LABEL (GTK_BIN (menuitem5)->child),
                                   "_Quit");
  gtk_widget_add_accelerator (menuitem5, "activate_item", menuitem1_menu_accels,
                              tmp_key, 0, 0);
  gtk_widget_set_name (menuitem5, "menuitem5");
  gtk_widget_ref (menuitem5);
  gtk_object_set_data_full (GTK_OBJECT (mainwin), "menuitem5", menuitem5,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (menuitem5);
  gtk_container_add (GTK_CONTAINER (menuitem1_menu), menuitem5);
  gtk_widget_add_accelerator (menuitem5, "activate", accel_group,
                              GDK_Q, GDK_CONTROL_MASK,
                              GTK_ACCEL_VISIBLE);

  menuitem6 = gtk_menu_item_new_with_label ("");
  tmp_key = gtk_label_parse_uline (GTK_LABEL (GTK_BIN (menuitem6)->child),
                                   "_Buttons");
  gtk_widget_add_accelerator (menuitem6, "activate_item", accel_group,
                              tmp_key, GDK_MOD1_MASK, (GtkAccelFlags) 0);
  gtk_widget_set_name (menuitem6, "menuitem6");
  gtk_widget_ref (menuitem6);
  gtk_object_set_data_full (GTK_OBJECT (mainwin), "menuitem6", menuitem6,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (menuitem6);
  gtk_container_add (GTK_CONTAINER (menubar2), menuitem6);
  gtk_widget_set_sensitive (menuitem6, FALSE);

  menuitem6_menu = gtk_menu_new ();
  gtk_widget_set_name (menuitem6_menu, "menuitem6_menu");
  gtk_widget_ref (menuitem6_menu);
  gtk_object_set_data_full (GTK_OBJECT (mainwin), "menuitem6_menu", menuitem6_menu,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_menu_item_set_submenu (GTK_MENU_ITEM (menuitem6), menuitem6_menu);
  menuitem6_menu_accels = gtk_menu_ensure_uline_accel_group (GTK_MENU (menuitem6_menu));

  menuitem7 = gtk_menu_item_new_with_label ("");
  tmp_key = gtk_label_parse_uline (GTK_LABEL (GTK_BIN (menuitem7)->child),
                                   "_Navigation");
  gtk_widget_add_accelerator (menuitem7, "activate_item", menuitem6_menu_accels,
                              tmp_key, 0, 0);
  gtk_widget_set_name (menuitem7, "menuitem7");
  gtk_widget_ref (menuitem7);
  gtk_object_set_data_full (GTK_OBJECT (mainwin), "menuitem7", menuitem7,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (menuitem7);
  gtk_container_add (GTK_CONTAINER (menuitem6_menu), menuitem7);

  menuitem7_menu = gtk_menu_new ();
  gtk_widget_set_name (menuitem7_menu, "menuitem7_menu");
  gtk_widget_ref (menuitem7_menu);
  gtk_object_set_data_full (GTK_OBJECT (mainwin), "menuitem7_menu", menuitem7_menu,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_menu_item_set_submenu (GTK_MENU_ITEM (menuitem7), menuitem7_menu);
  menuitem7_menu_accels = gtk_menu_ensure_uline_accel_group (GTK_MENU (menuitem7_menu));

  miMain = gtk_menu_item_new_with_label ("");
  tmp_key = gtk_label_parse_uline (GTK_LABEL (GTK_BIN (miMain)->child),
                                   "_Main");
  gtk_widget_add_accelerator (miMain, "activate_item", menuitem7_menu_accels,
                              tmp_key, 0, 0);
  gtk_widget_set_name (miMain, "miMain");
  gtk_widget_ref (miMain);
  gtk_object_set_data_full (GTK_OBJECT (mainwin), "miMain", miMain,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (miMain);
  gtk_container_add (GTK_CONTAINER (menuitem7_menu), miMain);

  imBack = gtk_menu_item_new_with_label ("");
  tmp_key = gtk_label_parse_uline (GTK_LABEL (GTK_BIN (imBack)->child),
                                   "_Back");
  gtk_widget_add_accelerator (imBack, "activate_item", menuitem7_menu_accels,
                              tmp_key, 0, 0);
  gtk_widget_set_name (imBack, "imBack");
  gtk_widget_ref (imBack);
  gtk_object_set_data_full (GTK_OBJECT (mainwin), "imBack", imBack,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (imBack);
  gtk_container_add (GTK_CONTAINER (menuitem7_menu), imBack);

  imPrev = gtk_menu_item_new_with_label ("");
  tmp_key = gtk_label_parse_uline (GTK_LABEL (GTK_BIN (imPrev)->child),
                                   "_Prev");
  gtk_widget_add_accelerator (imPrev, "activate_item", menuitem7_menu_accels,
                              tmp_key, 0, 0);
  gtk_widget_set_name (imPrev, "imPrev");
  gtk_widget_ref (imPrev);
  gtk_object_set_data_full (GTK_OBJECT (mainwin), "imPrev", imPrev,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (imPrev);
  gtk_container_add (GTK_CONTAINER (menuitem7_menu), imPrev);

  imNext = gtk_menu_item_new_with_label ("");
  tmp_key = gtk_label_parse_uline (GTK_LABEL (GTK_BIN (imNext)->child),
                                   "_Next");
  gtk_widget_add_accelerator (imNext, "activate_item", menuitem7_menu_accels,
                              tmp_key, 0, 0);
  gtk_widget_set_name (imNext, "imNext");
  gtk_widget_ref (imNext);
  gtk_object_set_data_full (GTK_OBJECT (mainwin), "imNext", imNext,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (imNext);
  gtk_container_add (GTK_CONTAINER (menuitem7_menu), imNext);

  imSelect = gtk_menu_item_new_with_label ("");
  tmp_key = gtk_label_parse_uline (GTK_LABEL (GTK_BIN (imSelect)->child),
                                   "_Select");
  gtk_widget_add_accelerator (imSelect, "activate_item", menuitem7_menu_accels,
                              tmp_key, 0, 0);
  gtk_widget_set_name (imSelect, "imSelect");
  gtk_widget_ref (imSelect);
  gtk_object_set_data_full (GTK_OBJECT (mainwin), "imSelect", imSelect,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (imSelect);
  gtk_container_add (GTK_CONTAINER (menuitem7_menu), imSelect);

  menuitem9 = gtk_menu_item_new_with_label ("");
  tmp_key = gtk_label_parse_uline (GTK_LABEL (GTK_BIN (menuitem9)->child),
                                   "_Functions");
  gtk_widget_add_accelerator (menuitem9, "activate_item", menuitem6_menu_accels,
                              tmp_key, 0, 0);
  gtk_widget_set_name (menuitem9, "menuitem9");
  gtk_widget_ref (menuitem9);
  gtk_object_set_data_full (GTK_OBJECT (mainwin), "menuitem9", menuitem9,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (menuitem9);
  gtk_container_add (GTK_CONTAINER (menuitem6_menu), menuitem9);

  menuitem9_menu = gtk_menu_new ();
  gtk_widget_set_name (menuitem9_menu, "menuitem9_menu");
  gtk_widget_ref (menuitem9_menu);
  gtk_object_set_data_full (GTK_OBJECT (mainwin), "menuitem9_menu", menuitem9_menu,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_menu_item_set_submenu (GTK_MENU_ITEM (menuitem9), menuitem9_menu);
  menuitem9_menu_accels = gtk_menu_ensure_uline_accel_group (GTK_MENU (menuitem9_menu));

  miTv = gtk_menu_item_new_with_label ("");
  tmp_key = gtk_label_parse_uline (GTK_LABEL (GTK_BIN (miTv)->child),
                                   "_Tv");
  gtk_widget_add_accelerator (miTv, "activate_item", menuitem9_menu_accels,
                              tmp_key, 0, 0);
  gtk_widget_set_name (miTv, "miTv");
  gtk_widget_ref (miTv);
  gtk_object_set_data_full (GTK_OBJECT (mainwin), "miTv", miTv,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (miTv);
  gtk_container_add (GTK_CONTAINER (menuitem9_menu), miTv);

  imVideo = gtk_menu_item_new_with_label ("");
  tmp_key = gtk_label_parse_uline (GTK_LABEL (GTK_BIN (imVideo)->child),
                                   "Vi_deo");
  gtk_widget_add_accelerator (imVideo, "activate_item", menuitem9_menu_accels,
                              tmp_key, 0, 0);
  gtk_widget_set_name (imVideo, "imVideo");
  gtk_widget_ref (imVideo);
  gtk_object_set_data_full (GTK_OBJECT (mainwin), "imVideo", imVideo,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (imVideo);
  gtk_container_add (GTK_CONTAINER (menuitem9_menu), imVideo);

  imMusic = gtk_menu_item_new_with_label ("");
  tmp_key = gtk_label_parse_uline (GTK_LABEL (GTK_BIN (imMusic)->child),
                                   "M_usic");
  gtk_widget_add_accelerator (imMusic, "activate_item", menuitem9_menu_accels,
                              tmp_key, 0, 0);
  gtk_widget_set_name (imMusic, "imMusic");
  gtk_widget_ref (imMusic);
  gtk_object_set_data_full (GTK_OBJECT (mainwin), "imMusic", imMusic,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (imMusic);
  gtk_container_add (GTK_CONTAINER (menuitem9_menu), imMusic);

  menuitem11 = gtk_menu_item_new_with_label ("");
  tmp_key = gtk_label_parse_uline (GTK_LABEL (GTK_BIN (menuitem11)->child),
                                   "Nu_mbers");
  gtk_widget_add_accelerator (menuitem11, "activate_item", menuitem6_menu_accels,
                              tmp_key, 0, 0);
  gtk_widget_set_name (menuitem11, "menuitem11");
  gtk_widget_ref (menuitem11);
  gtk_object_set_data_full (GTK_OBJECT (mainwin), "menuitem11", menuitem11,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (menuitem11);
  gtk_container_add (GTK_CONTAINER (menuitem6_menu), menuitem11);

  menuitem11_menu = gtk_menu_new ();
  gtk_widget_set_name (menuitem11_menu, "menuitem11_menu");
  gtk_widget_ref (menuitem11_menu);
  gtk_object_set_data_full (GTK_OBJECT (mainwin), "menuitem11_menu", menuitem11_menu,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_menu_item_set_submenu (GTK_MENU_ITEM (menuitem11), menuitem11_menu);
  menuitem11_menu_accels = gtk_menu_ensure_uline_accel_group (GTK_MENU (menuitem11_menu));

  mi1 = gtk_menu_item_new_with_label ("");
  tmp_key = gtk_label_parse_uline (GTK_LABEL (GTK_BIN (mi1)->child),
                                   "_1");
  gtk_widget_add_accelerator (mi1, "activate_item", menuitem11_menu_accels,
                              tmp_key, 0, 0);
  gtk_widget_set_name (mi1, "mi1");
  gtk_widget_ref (mi1);
  gtk_object_set_data_full (GTK_OBJECT (mainwin), "mi1", mi1,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (mi1);
  gtk_container_add (GTK_CONTAINER (menuitem11_menu), mi1);

  mi2 = gtk_menu_item_new_with_label ("");
  tmp_key = gtk_label_parse_uline (GTK_LABEL (GTK_BIN (mi2)->child),
                                   "_2");
  gtk_widget_add_accelerator (mi2, "activate_item", menuitem11_menu_accels,
                              tmp_key, 0, 0);
  gtk_widget_set_name (mi2, "mi2");
  gtk_widget_ref (mi2);
  gtk_object_set_data_full (GTK_OBJECT (mainwin), "mi2", mi2,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (mi2);
  gtk_container_add (GTK_CONTAINER (menuitem11_menu), mi2);

  mi3 = gtk_menu_item_new_with_label ("");
  tmp_key = gtk_label_parse_uline (GTK_LABEL (GTK_BIN (mi3)->child),
                                   "_3");
  gtk_widget_add_accelerator (mi3, "activate_item", menuitem11_menu_accels,
                              tmp_key, 0, 0);
  gtk_widget_set_name (mi3, "mi3");
  gtk_widget_ref (mi3);
  gtk_object_set_data_full (GTK_OBJECT (mainwin), "mi3", mi3,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (mi3);
  gtk_container_add (GTK_CONTAINER (menuitem11_menu), mi3);

  mi4 = gtk_menu_item_new_with_label ("");
  tmp_key = gtk_label_parse_uline (GTK_LABEL (GTK_BIN (mi4)->child),
                                   "_4");
  gtk_widget_add_accelerator (mi4, "activate_item", menuitem11_menu_accels,
                              tmp_key, 0, 0);
  gtk_widget_set_name (mi4, "mi4");
  gtk_widget_ref (mi4);
  gtk_object_set_data_full (GTK_OBJECT (mainwin), "mi4", mi4,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (mi4);
  gtk_container_add (GTK_CONTAINER (menuitem11_menu), mi4);

  mi5 = gtk_menu_item_new_with_label ("");
  tmp_key = gtk_label_parse_uline (GTK_LABEL (GTK_BIN (mi5)->child),
                                   "_5");
  gtk_widget_add_accelerator (mi5, "activate_item", menuitem11_menu_accels,
                              tmp_key, 0, 0);
  gtk_widget_set_name (mi5, "mi5");
  gtk_widget_ref (mi5);
  gtk_object_set_data_full (GTK_OBJECT (mainwin), "mi5", mi5,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (mi5);
  gtk_container_add (GTK_CONTAINER (menuitem11_menu), mi5);

  mi6 = gtk_menu_item_new_with_label ("");
  tmp_key = gtk_label_parse_uline (GTK_LABEL (GTK_BIN (mi6)->child),
                                   "_6");
  gtk_widget_add_accelerator (mi6, "activate_item", menuitem11_menu_accels,
                              tmp_key, 0, 0);
  gtk_widget_set_name (mi6, "mi6");
  gtk_widget_ref (mi6);
  gtk_object_set_data_full (GTK_OBJECT (mainwin), "mi6", mi6,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (mi6);
  gtk_container_add (GTK_CONTAINER (menuitem11_menu), mi6);

  mi7 = gtk_menu_item_new_with_label ("");
  tmp_key = gtk_label_parse_uline (GTK_LABEL (GTK_BIN (mi7)->child),
                                   "_7");
  gtk_widget_add_accelerator (mi7, "activate_item", menuitem11_menu_accels,
                              tmp_key, 0, 0);
  gtk_widget_set_name (mi7, "mi7");
  gtk_widget_ref (mi7);
  gtk_object_set_data_full (GTK_OBJECT (mainwin), "mi7", mi7,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (mi7);
  gtk_container_add (GTK_CONTAINER (menuitem11_menu), mi7);

  mi8 = gtk_menu_item_new_with_label ("");
  tmp_key = gtk_label_parse_uline (GTK_LABEL (GTK_BIN (mi8)->child),
                                   "_8");
  gtk_widget_add_accelerator (mi8, "activate_item", menuitem11_menu_accels,
                              tmp_key, 0, 0);
  gtk_widget_set_name (mi8, "mi8");
  gtk_widget_ref (mi8);
  gtk_object_set_data_full (GTK_OBJECT (mainwin), "mi8", mi8,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (mi8);
  gtk_container_add (GTK_CONTAINER (menuitem11_menu), mi8);

  mi9 = gtk_menu_item_new_with_label ("");
  tmp_key = gtk_label_parse_uline (GTK_LABEL (GTK_BIN (mi9)->child),
                                   "_9");
  gtk_widget_add_accelerator (mi9, "activate_item", menuitem11_menu_accels,
                              tmp_key, 0, 0);
  gtk_widget_set_name (mi9, "mi9");
  gtk_widget_ref (mi9);
  gtk_object_set_data_full (GTK_OBJECT (mainwin), "mi9", mi9,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (mi9);
  gtk_container_add (GTK_CONTAINER (menuitem11_menu), mi9);

  mi0 = gtk_menu_item_new_with_label ("");
  tmp_key = gtk_label_parse_uline (GTK_LABEL (GTK_BIN (mi0)->child),
                                   "_0");
  gtk_widget_add_accelerator (mi0, "activate_item", menuitem11_menu_accels,
                              tmp_key, 0, 0);
  gtk_widget_set_name (mi0, "mi0");
  gtk_widget_ref (mi0);
  gtk_object_set_data_full (GTK_OBJECT (mainwin), "mi0", mi0,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (mi0);
  gtk_container_add (GTK_CONTAINER (menuitem11_menu), mi0);

  miVisible = gtk_menu_item_new_with_label ("");
  tmp_key = gtk_label_parse_uline (GTK_LABEL (GTK_BIN (miVisible)->child),
                                   "_Visible");
  gtk_widget_add_accelerator (miVisible, "activate_item", menuitem6_menu_accels,
                              tmp_key, 0, 0);
  gtk_widget_set_name (miVisible, "miVisible");
  gtk_widget_ref (miVisible);
  gtk_object_set_data_full (GTK_OBJECT (mainwin), "miVisible", miVisible,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (miVisible);
  gtk_container_add (GTK_CONTAINER (menuitem6_menu), miVisible);

  miQuit = gtk_menu_item_new_with_label ("");
  tmp_key = gtk_label_parse_uline (GTK_LABEL (GTK_BIN (miQuit)->child),
                                   "_Quit");
  gtk_widget_add_accelerator (miQuit, "activate_item", menuitem6_menu_accels,
                              tmp_key, 0, 0);
  gtk_widget_set_name (miQuit, "miQuit");
  gtk_widget_ref (miQuit);
  gtk_object_set_data_full (GTK_OBJECT (mainwin), "miQuit", miQuit,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (miQuit);
  gtk_container_add (GTK_CONTAINER (menuitem6_menu), miQuit);

  menuitem15 = gtk_menu_item_new_with_label ("");
  tmp_key = gtk_label_parse_uline (GTK_LABEL (GTK_BIN (menuitem15)->child),
                                   "_Help");
  gtk_widget_add_accelerator (menuitem15, "activate_item", accel_group,
                              tmp_key, GDK_MOD1_MASK, (GtkAccelFlags) 0);
  gtk_widget_set_name (menuitem15, "menuitem15");
  gtk_widget_ref (menuitem15);
  gtk_object_set_data_full (GTK_OBJECT (mainwin), "menuitem15", menuitem15,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (menuitem15);
  gtk_container_add (GTK_CONTAINER (menubar2), menuitem15);

  menuitem15_menu = gtk_menu_new ();
  gtk_widget_set_name (menuitem15_menu, "menuitem15_menu");
  gtk_widget_ref (menuitem15_menu);
  gtk_object_set_data_full (GTK_OBJECT (mainwin), "menuitem15_menu", menuitem15_menu,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_menu_item_set_submenu (GTK_MENU_ITEM (menuitem15), menuitem15_menu);
  menuitem15_menu_accels = gtk_menu_ensure_uline_accel_group (GTK_MENU (menuitem15_menu));

  menuitem16 = gtk_menu_item_new_with_label ("");
  tmp_key = gtk_label_parse_uline (GTK_LABEL (GTK_BIN (menuitem16)->child),
                                   "_About");
  gtk_widget_add_accelerator (menuitem16, "activate_item", menuitem15_menu_accels,
                              tmp_key, 0, 0);
  gtk_widget_set_name (menuitem16, "menuitem16");
  gtk_widget_ref (menuitem16);
  gtk_object_set_data_full (GTK_OBJECT (mainwin), "menuitem16", menuitem16,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (menuitem16);
  gtk_container_add (GTK_CONTAINER (menuitem15_menu), menuitem16);

  toolbar2 = gtk_toolbar_new (GTK_ORIENTATION_HORIZONTAL, GTK_TOOLBAR_BOTH);
  gtk_widget_set_name (toolbar2, "toolbar2");
  gtk_widget_ref (toolbar2);
  gtk_object_set_data_full (GTK_OBJECT (mainwin), "toolbar2", toolbar2,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (toolbar2);
  gtk_box_pack_start (GTK_BOX (vbox3), toolbar2, FALSE, FALSE, 0);
  gtk_widget_set_usize (toolbar2, -2, 45);
  gtk_container_set_border_width (GTK_CONTAINER (toolbar2), 5);
  gtk_toolbar_set_button_relief (GTK_TOOLBAR (toolbar2), GTK_RELIEF_NONE);

  btnActive = gtk_toolbar_append_element (GTK_TOOLBAR (toolbar2),
                                GTK_TOOLBAR_CHILD_TOGGLEBUTTON,
                                NULL,
                                "Active",
                                NULL, NULL,
                                NULL, NULL, NULL);
  gtk_widget_set_name (btnActive, "btnActive");
  gtk_widget_ref (btnActive);
  gtk_object_set_data_full (GTK_OBJECT (mainwin), "btnActive", btnActive,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (btnActive);

  cmbSocket = gtk_combo_new ();
  gtk_widget_set_name (cmbSocket, "cmbSocket");
  gtk_widget_ref (cmbSocket);
  gtk_object_set_data_full (GTK_OBJECT (mainwin), "cmbSocket", cmbSocket,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (cmbSocket);
  gtk_toolbar_append_widget (GTK_TOOLBAR (toolbar2), cmbSocket, NULL, NULL);
  gtk_widget_set_usize (cmbSocket, 168, -2);
  gtk_container_set_border_width (GTK_CONTAINER (cmbSocket), 10);
  gtk_combo_set_case_sensitive (GTK_COMBO (cmbSocket), TRUE);
  cmbSocket_items = g_list_append (cmbSocket_items, (gpointer) "/tmp/lircd");
  cmbSocket_items = g_list_append (cmbSocket_items, (gpointer) "/dev/lircd");
  gtk_combo_set_popdown_strings (GTK_COMBO (cmbSocket), cmbSocket_items);
  g_list_free (cmbSocket_items);

  entry1 = GTK_COMBO (cmbSocket)->entry;
  gtk_widget_set_name (entry1, "entry1");
  gtk_widget_ref (entry1);
  gtk_object_set_data_full (GTK_OBJECT (mainwin), "entry1", entry1,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (entry1);
  gtk_tooltips_set_tip (tooltips, entry1, "Path to the unix socket used for Lirc emulation", NULL);
  gtk_entry_set_text (GTK_ENTRY (entry1), "/tmp/lircd");

  frmRemote = gtk_frame_new ("Remote");
  gtk_widget_set_name (frmRemote, "frmRemote");
  gtk_widget_ref (frmRemote);
  gtk_object_set_data_full (GTK_OBJECT (mainwin), "frmRemote", frmRemote,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (frmRemote);
  gtk_box_pack_start (GTK_BOX (vbox3), frmRemote, TRUE, TRUE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (frmRemote), 5);
  gtk_widget_set_sensitive (frmRemote, FALSE);
  gtk_frame_set_label_align (GTK_FRAME (frmRemote), 0.5, 0.5);

  fixed1 = gtk_fixed_new ();
  gtk_widget_set_name (fixed1, "fixed1");
  gtk_widget_ref (fixed1);
  gtk_object_set_data_full (GTK_OBJECT (mainwin), "fixed1", fixed1,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (fixed1);
  gtk_container_add (GTK_CONTAINER (frmRemote), fixed1);
  gtk_widget_set_usize (fixed1, 232, 372);

  btnVisible = gtk_button_new_with_label ("");
  btnVisible_key = gtk_label_parse_uline (GTK_LABEL (GTK_BIN (btnVisible)->child),
                                   "_Visible");
  gtk_widget_add_accelerator (btnVisible, "clicked", accel_group,
                              btnVisible_key, GDK_MOD1_MASK, (GtkAccelFlags) 0);
  gtk_widget_set_name (btnVisible, "btnVisible");
  gtk_widget_ref (btnVisible);
  gtk_object_set_data_full (GTK_OBJECT (mainwin), "btnVisible", btnVisible,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (btnVisible);
  gtk_fixed_put (GTK_FIXED (fixed1), btnVisible, 8, 8);
  gtk_widget_set_uposition (btnVisible, 8, 8);
  gtk_widget_set_usize (btnVisible, 78, 22);

  btnQuit = gtk_button_new_with_label ("");
  btnQuit_key = gtk_label_parse_uline (GTK_LABEL (GTK_BIN (btnQuit)->child),
                                   "_Quit");
  gtk_widget_add_accelerator (btnQuit, "clicked", accel_group,
                              btnQuit_key, GDK_MOD1_MASK, (GtkAccelFlags) 0);
  gtk_widget_set_name (btnQuit, "btnQuit");
  gtk_widget_ref (btnQuit);
  gtk_object_set_data_full (GTK_OBJECT (mainwin), "btnQuit", btnQuit,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (btnQuit);
  gtk_fixed_put (GTK_FIXED (fixed1), btnQuit, 112, 8);
  gtk_widget_set_uposition (btnQuit, 112, 8);
  gtk_widget_set_usize (btnQuit, 80, 22);

  btnMain = gtk_button_new_with_label ("");
  btnMain_key = gtk_label_parse_uline (GTK_LABEL (GTK_BIN (btnMain)->child),
                                   "_Main");
  gtk_widget_add_accelerator (btnMain, "clicked", accel_group,
                              btnMain_key, GDK_MOD1_MASK, (GtkAccelFlags) 0);
  gtk_widget_set_name (btnMain, "btnMain");
  gtk_widget_ref (btnMain);
  gtk_object_set_data_full (GTK_OBJECT (mainwin), "btnMain", btnMain,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (btnMain);
  gtk_fixed_put (GTK_FIXED (fixed1), btnMain, 8, 56);
  gtk_widget_set_uposition (btnMain, 8, 56);
  gtk_widget_set_usize (btnMain, 54, 22);
  gtk_widget_add_accelerator (btnMain, "clicked", accel_group,
                              GDK_Home, 0,
                              GTK_ACCEL_VISIBLE);

  btnBack = gtk_button_new_with_label ("");
  btnBack_key = gtk_label_parse_uline (GTK_LABEL (GTK_BIN (btnBack)->child),
                                   "_Back");
  gtk_widget_add_accelerator (btnBack, "clicked", accel_group,
                              btnBack_key, GDK_MOD1_MASK, (GtkAccelFlags) 0);
  gtk_widget_set_name (btnBack, "btnBack");
  gtk_widget_ref (btnBack);
  gtk_object_set_data_full (GTK_OBJECT (mainwin), "btnBack", btnBack,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (btnBack);
  gtk_fixed_put (GTK_FIXED (fixed1), btnBack, 8, 88);
  gtk_widget_set_uposition (btnBack, 8, 88);
  gtk_widget_set_usize (btnBack, 54, 22);
  gtk_widget_add_accelerator (btnBack, "clicked", accel_group,
                              GDK_Left, 0,
                              GTK_ACCEL_VISIBLE);

  btnPrev = gtk_button_new_with_label ("");
  btnPrev_key = gtk_label_parse_uline (GTK_LABEL (GTK_BIN (btnPrev)->child),
                                   "_Prev");
  gtk_widget_add_accelerator (btnPrev, "clicked", accel_group,
                              btnPrev_key, GDK_MOD1_MASK, (GtkAccelFlags) 0);
  gtk_widget_set_name (btnPrev, "btnPrev");
  gtk_widget_ref (btnPrev);
  gtk_object_set_data_full (GTK_OBJECT (mainwin), "btnPrev", btnPrev,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (btnPrev);
  gtk_fixed_put (GTK_FIXED (fixed1), btnPrev, 72, 56);
  gtk_widget_set_uposition (btnPrev, 72, 56);
  gtk_widget_set_usize (btnPrev, 54, 22);
  gtk_widget_add_accelerator (btnPrev, "clicked", accel_group,
                              GDK_Up, 0,
                              GTK_ACCEL_VISIBLE);

  btnNext = gtk_button_new_with_label ("");
  btnNext_key = gtk_label_parse_uline (GTK_LABEL (GTK_BIN (btnNext)->child),
                                   "_Next");
  gtk_widget_add_accelerator (btnNext, "clicked", accel_group,
                              btnNext_key, GDK_MOD1_MASK, (GtkAccelFlags) 0);
  gtk_widget_set_name (btnNext, "btnNext");
  gtk_widget_ref (btnNext);
  gtk_object_set_data_full (GTK_OBJECT (mainwin), "btnNext", btnNext,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (btnNext);
  gtk_fixed_put (GTK_FIXED (fixed1), btnNext, 72, 88);
  gtk_widget_set_uposition (btnNext, 72, 88);
  gtk_widget_set_usize (btnNext, 54, 22);
  gtk_widget_add_accelerator (btnNext, "clicked", accel_group,
                              GDK_Down, 0,
                              GTK_ACCEL_VISIBLE);

  BtnSelect = gtk_button_new_with_label ("");
  BtnSelect_key = gtk_label_parse_uline (GTK_LABEL (GTK_BIN (BtnSelect)->child),
                                   "_Select");
  gtk_widget_add_accelerator (BtnSelect, "clicked", accel_group,
                              BtnSelect_key, GDK_MOD1_MASK, (GtkAccelFlags) 0);
  gtk_widget_set_name (BtnSelect, "btnSelect");
  gtk_widget_ref (BtnSelect);
  gtk_object_set_data_full (GTK_OBJECT (mainwin), "btnSelect", BtnSelect,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (BtnSelect);
  gtk_fixed_put (GTK_FIXED (fixed1), BtnSelect, 136, 88);
  gtk_widget_set_uposition (BtnSelect, 136, 88);
  gtk_widget_set_usize (BtnSelect, 54, 22);
  gtk_widget_add_accelerator (BtnSelect, "clicked", accel_group,
                              GDK_Right, 0,
                              GTK_ACCEL_VISIBLE);

  btnTv = gtk_button_new_with_label ("");
  btnTv_key = gtk_label_parse_uline (GTK_LABEL (GTK_BIN (btnTv)->child),
                                   "_Tv");
  gtk_widget_add_accelerator (btnTv, "clicked", accel_group,
                              btnTv_key, GDK_MOD1_MASK, (GtkAccelFlags) 0);
  gtk_widget_set_name (btnTv, "btnTv");
  gtk_widget_ref (btnTv);
  gtk_object_set_data_full (GTK_OBJECT (mainwin), "btnTv", btnTv,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (btnTv);
  gtk_fixed_put (GTK_FIXED (fixed1), btnTv, 8, 136);
  gtk_widget_set_uposition (btnTv, 8, 136);
  gtk_widget_set_usize (btnTv, 54, 22);

  btnVideo = gtk_button_new_with_label ("");
  btnVideo_key = gtk_label_parse_uline (GTK_LABEL (GTK_BIN (btnVideo)->child),
                                   "Vi_deo");
  gtk_widget_add_accelerator (btnVideo, "clicked", accel_group,
                              btnVideo_key, GDK_MOD1_MASK, (GtkAccelFlags) 0);
  gtk_widget_set_name (btnVideo, "btnVideo");
  gtk_widget_ref (btnVideo);
  gtk_object_set_data_full (GTK_OBJECT (mainwin), "btnVideo", btnVideo,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (btnVideo);
  gtk_fixed_put (GTK_FIXED (fixed1), btnVideo, 72, 136);
  gtk_widget_set_uposition (btnVideo, 72, 136);
  gtk_widget_set_usize (btnVideo, 54, 22);

  btnMusic = gtk_button_new_with_label ("");
  btnMusic_key = gtk_label_parse_uline (GTK_LABEL (GTK_BIN (btnMusic)->child),
                                   "M_usic");
  gtk_widget_add_accelerator (btnMusic, "clicked", accel_group,
                              btnMusic_key, GDK_MOD1_MASK, (GtkAccelFlags) 0);
  gtk_widget_set_name (btnMusic, "btnMusic");
  gtk_widget_ref (btnMusic);
  gtk_object_set_data_full (GTK_OBJECT (mainwin), "btnMusic", btnMusic,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (btnMusic);
  gtk_fixed_put (GTK_FIXED (fixed1), btnMusic, 136, 136);
  gtk_widget_set_uposition (btnMusic, 136, 136);
  gtk_widget_set_usize (btnMusic, 54, 22);

  btnA = gtk_button_new_with_label ("");
  btnA_key = gtk_label_parse_uline (GTK_LABEL (GTK_BIN (btnA)->child),
                                   "_A");
  gtk_widget_add_accelerator (btnA, "clicked", accel_group,
                              btnA_key, GDK_MOD1_MASK, (GtkAccelFlags) 0);
  gtk_widget_set_name (btnA, "btnA");
  gtk_widget_ref (btnA);
  gtk_object_set_data_full (GTK_OBJECT (mainwin), "btnA", btnA,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (btnA);
  gtk_fixed_put (GTK_FIXED (fixed1), btnA, 8, 168);
  gtk_widget_set_uposition (btnA, 8, 168);
  gtk_widget_set_usize (btnA, 54, 22);

  btnB = gtk_button_new_with_label ("");
  btnB_key = gtk_label_parse_uline (GTK_LABEL (GTK_BIN (btnB)->child),
                                   "_B");
  gtk_widget_add_accelerator (btnB, "clicked", accel_group,
                              btnB_key, GDK_MOD1_MASK, (GtkAccelFlags) 0);
  gtk_widget_set_name (btnB, "btnB");
  gtk_widget_ref (btnB);
  gtk_object_set_data_full (GTK_OBJECT (mainwin), "btnB", btnB,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (btnB);
  gtk_fixed_put (GTK_FIXED (fixed1), btnB, 72, 168);
  gtk_widget_set_uposition (btnB, 72, 168);
  gtk_widget_set_usize (btnB, 54, 22);

  btnC = gtk_button_new_with_label ("");
  btnC_key = gtk_label_parse_uline (GTK_LABEL (GTK_BIN (btnC)->child),
                                   "_C");
  gtk_widget_add_accelerator (btnC, "clicked", accel_group,
                              btnC_key, GDK_MOD1_MASK, (GtkAccelFlags) 0);
  gtk_widget_set_name (btnC, "btnC");
  gtk_widget_ref (btnC);
  gtk_object_set_data_full (GTK_OBJECT (mainwin), "btnC", btnC,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (btnC);
  gtk_fixed_put (GTK_FIXED (fixed1), btnC, 136, 168);
  gtk_widget_set_uposition (btnC, 136, 168);
  gtk_widget_set_usize (btnC, 54, 22);

  btn7 = gtk_button_new_with_label ("");
  btn7_key = gtk_label_parse_uline (GTK_LABEL (GTK_BIN (btn7)->child),
                                   "_7");
  gtk_widget_add_accelerator (btn7, "clicked", accel_group,
                              btn7_key, GDK_MOD1_MASK, (GtkAccelFlags) 0);
  gtk_widget_set_name (btn7, "btn7");
  gtk_widget_ref (btn7);
  gtk_object_set_data_full (GTK_OBJECT (mainwin), "btn7", btn7,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (btn7);
  gtk_fixed_put (GTK_FIXED (fixed1), btn7, 8, 216);
  gtk_widget_set_uposition (btn7, 8, 216);
  gtk_widget_set_usize (btn7, 54, 22);

  btn8 = gtk_button_new_with_label ("");
  btn8_key = gtk_label_parse_uline (GTK_LABEL (GTK_BIN (btn8)->child),
                                   "_8");
  gtk_widget_add_accelerator (btn8, "clicked", accel_group,
                              btn8_key, GDK_MOD1_MASK, (GtkAccelFlags) 0);
  gtk_widget_set_name (btn8, "btn8");
  gtk_widget_ref (btn8);
  gtk_object_set_data_full (GTK_OBJECT (mainwin), "btn8", btn8,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (btn8);
  gtk_fixed_put (GTK_FIXED (fixed1), btn8, 72, 216);
  gtk_widget_set_uposition (btn8, 72, 216);
  gtk_widget_set_usize (btn8, 54, 22);

  btn9 = gtk_button_new_with_label ("");
  btn9_key = gtk_label_parse_uline (GTK_LABEL (GTK_BIN (btn9)->child),
                                   "_9");
  gtk_widget_add_accelerator (btn9, "clicked", accel_group,
                              btn9_key, GDK_MOD1_MASK, (GtkAccelFlags) 0);
  gtk_widget_set_name (btn9, "btn9");
  gtk_widget_ref (btn9);
  gtk_object_set_data_full (GTK_OBJECT (mainwin), "btn9", btn9,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (btn9);
  gtk_fixed_put (GTK_FIXED (fixed1), btn9, 136, 216);
  gtk_widget_set_uposition (btn9, 136, 216);
  gtk_widget_set_usize (btn9, 54, 22);

  btn6 = gtk_button_new_with_label ("");
  btn6_key = gtk_label_parse_uline (GTK_LABEL (GTK_BIN (btn6)->child),
                                   "_6");
  gtk_widget_add_accelerator (btn6, "clicked", accel_group,
                              btn6_key, GDK_MOD1_MASK, (GtkAccelFlags) 0);
  gtk_widget_set_name (btn6, "btn6");
  gtk_widget_ref (btn6);
  gtk_object_set_data_full (GTK_OBJECT (mainwin), "btn6", btn6,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (btn6);
  gtk_fixed_put (GTK_FIXED (fixed1), btn6, 136, 248);
  gtk_widget_set_uposition (btn6, 136, 248);
  gtk_widget_set_usize (btn6, 54, 22);

  btn5 = gtk_button_new_with_label ("");
  btn5_key = gtk_label_parse_uline (GTK_LABEL (GTK_BIN (btn5)->child),
                                   "_5");
  gtk_widget_add_accelerator (btn5, "clicked", accel_group,
                              btn5_key, GDK_MOD1_MASK, (GtkAccelFlags) 0);
  gtk_widget_set_name (btn5, "btn5");
  gtk_widget_ref (btn5);
  gtk_object_set_data_full (GTK_OBJECT (mainwin), "btn5", btn5,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (btn5);
  gtk_fixed_put (GTK_FIXED (fixed1), btn5, 72, 248);
  gtk_widget_set_uposition (btn5, 72, 248);
  gtk_widget_set_usize (btn5, 54, 22);

  btn4 = gtk_button_new_with_label ("");
  btn4_key = gtk_label_parse_uline (GTK_LABEL (GTK_BIN (btn4)->child),
                                   "_4");
  gtk_widget_add_accelerator (btn4, "clicked", accel_group,
                              btn4_key, GDK_MOD1_MASK, (GtkAccelFlags) 0);
  gtk_widget_set_name (btn4, "btn4");
  gtk_widget_ref (btn4);
  gtk_object_set_data_full (GTK_OBJECT (mainwin), "btn4", btn4,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (btn4);
  gtk_fixed_put (GTK_FIXED (fixed1), btn4, 8, 248);
  gtk_widget_set_uposition (btn4, 8, 248);
  gtk_widget_set_usize (btn4, 54, 22);

  btn1 = gtk_button_new_with_label ("");
  btn1_key = gtk_label_parse_uline (GTK_LABEL (GTK_BIN (btn1)->child),
                                   "_1");
  gtk_widget_add_accelerator (btn1, "clicked", accel_group,
                              btn1_key, GDK_MOD1_MASK, (GtkAccelFlags) 0);
  gtk_widget_set_name (btn1, "btn1");
  gtk_widget_ref (btn1);
  gtk_object_set_data_full (GTK_OBJECT (mainwin), "btn1", btn1,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (btn1);
  gtk_fixed_put (GTK_FIXED (fixed1), btn1, 8, 280);
  gtk_widget_set_uposition (btn1, 8, 280);
  gtk_widget_set_usize (btn1, 54, 22);

  btn2 = gtk_button_new_with_label ("");
  btn2_key = gtk_label_parse_uline (GTK_LABEL (GTK_BIN (btn2)->child),
                                   "_2");
  gtk_widget_add_accelerator (btn2, "clicked", accel_group,
                              btn2_key, GDK_MOD1_MASK, (GtkAccelFlags) 0);
  gtk_widget_set_name (btn2, "btn2");
  gtk_widget_ref (btn2);
  gtk_object_set_data_full (GTK_OBJECT (mainwin), "btn2", btn2,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (btn2);
  gtk_fixed_put (GTK_FIXED (fixed1), btn2, 72, 280);
  gtk_widget_set_uposition (btn2, 72, 280);
  gtk_widget_set_usize (btn2, 54, 22);

  btn3 = gtk_button_new_with_label ("");
  btn3_key = gtk_label_parse_uline (GTK_LABEL (GTK_BIN (btn3)->child),
                                   "_3");
  gtk_widget_add_accelerator (btn3, "clicked", accel_group,
                              btn3_key, GDK_MOD1_MASK, (GtkAccelFlags) 0);
  gtk_widget_set_name (btn3, "btn3");
  gtk_widget_ref (btn3);
  gtk_object_set_data_full (GTK_OBJECT (mainwin), "btn3", btn3,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (btn3);
  gtk_fixed_put (GTK_FIXED (fixed1), btn3, 136, 280);
  gtk_widget_set_uposition (btn3, 136, 280);
  gtk_widget_set_usize (btn3, 54, 22);

  btn0 = gtk_button_new_with_label ("");
  btn0_key = gtk_label_parse_uline (GTK_LABEL (GTK_BIN (btn0)->child),
                                   "_0");
  gtk_widget_add_accelerator (btn0, "clicked", accel_group,
                              btn0_key, GDK_MOD1_MASK, (GtkAccelFlags) 0);
  gtk_widget_set_name (btn0, "btn0");
  gtk_widget_ref (btn0);
  gtk_object_set_data_full (GTK_OBJECT (mainwin), "btn0", btn0,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (btn0);
  gtk_fixed_put (GTK_FIXED (fixed1), btn0, 72, 312);
  gtk_widget_set_uposition (btn0, 72, 312);
  gtk_widget_set_usize (btn0, 54, 22);

  statusbar = gtk_statusbar_new ();
  gtk_widget_set_name (statusbar, "statusbar");
  gtk_widget_ref (statusbar);
  gtk_object_set_data_full (GTK_OBJECT (mainwin), "statusbar", statusbar,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (statusbar);
  gtk_box_pack_start (GTK_BOX (vbox3), statusbar, FALSE, FALSE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (statusbar), 5);

  gtk_signal_connect (GTK_OBJECT (mainwin), "destroy_event",
                      GTK_SIGNAL_FUNC (on_mainwin_destroy_event),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (menuitem2), "toggled",
                      GTK_SIGNAL_FUNC (on_menuitem2_toggled),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (menuitem5), "activate",
                      GTK_SIGNAL_FUNC (on_quit_activate),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (miMain), "activate",
                      GTK_SIGNAL_FUNC (on_mi_btn_clicked),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (imBack), "activate",
                      GTK_SIGNAL_FUNC (on_mi_btn_clicked),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (imPrev), "activate",
                      GTK_SIGNAL_FUNC (on_mi_btn_clicked),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (imNext), "activate",
                      GTK_SIGNAL_FUNC (on_mi_btn_clicked),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (imSelect), "activate",
                      GTK_SIGNAL_FUNC (on_mi_btn_clicked),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (miTv), "activate",
                      GTK_SIGNAL_FUNC (on_mi_btn_clicked),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (imVideo), "activate",
                      GTK_SIGNAL_FUNC (on_mi_btn_clicked),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (imMusic), "activate",
                      GTK_SIGNAL_FUNC (on_mi_btn_clicked),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (mi1), "activate",
                      GTK_SIGNAL_FUNC (on_mi_btn_clicked),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (mi2), "activate",
                      GTK_SIGNAL_FUNC (on_mi_btn_clicked),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (mi3), "activate",
                      GTK_SIGNAL_FUNC (on_mi_btn_clicked),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (mi4), "activate",
                      GTK_SIGNAL_FUNC (on_mi_btn_clicked),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (mi5), "activate",
                      GTK_SIGNAL_FUNC (on_mi_btn_clicked),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (mi6), "activate",
                      GTK_SIGNAL_FUNC (on_mi_btn_clicked),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (mi7), "activate",
                      GTK_SIGNAL_FUNC (on_mi_btn_clicked),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (mi8), "activate",
                      GTK_SIGNAL_FUNC (on_mi_btn_clicked),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (mi9), "activate",
                      GTK_SIGNAL_FUNC (on_mi_btn_clicked),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (mi0), "activate",
                      GTK_SIGNAL_FUNC (on_mi_btn_clicked),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (miVisible), "activate",
                      GTK_SIGNAL_FUNC (on_mi_btn_clicked),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (miQuit), "activate",
                      GTK_SIGNAL_FUNC (on_mi_btn_clicked),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (menuitem16), "activate",
                      GTK_SIGNAL_FUNC (on_about_activate),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (btnActive), "toggled",
                      GTK_SIGNAL_FUNC (on_btnActive_toggled),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (btnVisible), "clicked",
                      GTK_SIGNAL_FUNC (on_remote_btn_clicked),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (btnQuit), "clicked",
                      GTK_SIGNAL_FUNC (on_remote_btn_clicked),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (btnMain), "clicked",
                      GTK_SIGNAL_FUNC (on_remote_btn_clicked),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (btnBack), "clicked",
                      GTK_SIGNAL_FUNC (on_remote_btn_clicked),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (btnPrev), "clicked",
                      GTK_SIGNAL_FUNC (on_remote_btn_clicked),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (btnNext), "clicked",
                      GTK_SIGNAL_FUNC (on_remote_btn_clicked),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (BtnSelect), "clicked",
                      GTK_SIGNAL_FUNC (on_remote_btn_clicked),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (btnTv), "clicked",
                      GTK_SIGNAL_FUNC (on_remote_btn_clicked),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (btnVideo), "clicked",
                      GTK_SIGNAL_FUNC (on_remote_btn_clicked),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (btnMusic), "clicked",
                      GTK_SIGNAL_FUNC (on_remote_btn_clicked),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (btnA), "clicked",
                      GTK_SIGNAL_FUNC (on_remote_btn_clicked),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (btnB), "clicked",
                      GTK_SIGNAL_FUNC (on_remote_btn_clicked),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (btnC), "clicked",
                      GTK_SIGNAL_FUNC (on_remote_btn_clicked),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (btn7), "clicked",
                      GTK_SIGNAL_FUNC (on_remote_btn_clicked),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (btn8), "clicked",
                      GTK_SIGNAL_FUNC (on_remote_btn_clicked),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (btn9), "clicked",
                      GTK_SIGNAL_FUNC (on_remote_btn_clicked),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (btn6), "clicked",
                      GTK_SIGNAL_FUNC (on_remote_btn_clicked),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (btn5), "clicked",
                      GTK_SIGNAL_FUNC (on_remote_btn_clicked),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (btn4), "clicked",
                      GTK_SIGNAL_FUNC (on_remote_btn_clicked),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (btn1), "clicked",
                      GTK_SIGNAL_FUNC (on_remote_btn_clicked),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (btn2), "clicked",
                      GTK_SIGNAL_FUNC (on_remote_btn_clicked),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (btn3), "clicked",
                      GTK_SIGNAL_FUNC (on_remote_btn_clicked),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (btn0), "clicked",
                      GTK_SIGNAL_FUNC (on_remote_btn_clicked),
                      NULL);

  gtk_object_set_data (GTK_OBJECT (mainwin), "tooltips", tooltips);

  gtk_window_add_accel_group (GTK_WINDOW (mainwin), accel_group);

  return mainwin;
}

