/*
 * LircEmu  -  Remote controller emulation for LIRC
 *
 * Copyright 2002 David Kutalek
 *
 *
 * This file is part of LircEmu.
 * 
 * LircEmu is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * LircEmu is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with LircEmu; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/* general settings of lircemu */
#define LIRC_STD_SOCKET_NAME "/dev/lircd"
#define MAX_CLIENTS 10
#define REMOTE_NAME "LIRCEMU"
#define PRESS_LENGTH 1

void (*on_connect)(void);

/*
 *  rutines for working with lircd socket
 *  must handle multiple times opened socket,
 *  acting like lirc daemon
 */

/* for all functions, except opened_count(), return values are
 *  0 when successful
 * -1 when error ocured 
 */

/* initialize unix domain socket with path name
 * uses standard lirc socket when name is NULL
 */
int init_socket(char *name);

/* unlink previously created socket */
int unlink_socket(void);

/* returns number of opened connections */
int opened_count(void);

/* closes all opened connections */
int close_all(void);

/* sends what to all opened connections */
int send_to_all(char *what);
